Bug 834 - xset, xterm, and keyclicks not doing what man pages say
xset, xterm, and keyclicks not doing what man pages say
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
5.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-14 15:57 EST by taylor
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-26 16:39:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description taylor 1999-01-14 15:57:49 EST
This is actually a bug in xset, but I saw no xset in the
options available, so I am reporting it as an xterm bug.

I cannot get keyclick to work under RedHat 5.1 linux.  The
problem appears to exist for RH 5.2 also, but I personally
know only of 5.1.  Other sounds work; I can even play mp3s.
I am using an xterm with the display variable set to ":0.0".

Am I correct to assume that this is a bug in linux?  If so,
at the very least the man page of xset needs to be changed
to state that keyclick does not work on linux.  If not,
please help in telling me (and the two other people who have
posted on usenet about this same problem) what to do to make
xset do what the man page says it should do.

Here is the output of the xset -q command:

>xset -q
Keyboard Control:
  auto repeat:  on    key click percent:  100    LED mask:
00000000
  auto repeat delay:  500    repeat rate:  30
  auto repeating keys:  00ffffffdffffbbf
                        fa9fffffffdffdff
                        7f00000000000000
                        0000000000000000
  bell percent:  40    bell pitch:  1100    bell duration:
20
Pointer Control:
  acceleration:  2/1    threshold:  4
Screen Saver:
  prefer blanking:  yes    allow exposures:  yes
  timeout:  600    cycle:  600
Colors:
  default colormap:  0x21    BlackPixel:  0    WhitePixel:
1
Font Path:

/usr/X11R6/lib/X11/fonts/misc:unscaled,/usr/X11R6/lib/X11/fonts/75dpi:unscaled,/usr/X11R6/lib/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/Speedo,/usr/X11R6/lib/X11/fonts/misc,/usr/X11R6/lib/X11/fonts/75dpi
Bug Mode: compatibility mode is disabled
DPMS (Energy Star):
  Standby: 1200    Suspend: 1800    Off: 2400
  DPMS is Disabled


Jason Taylor
NASA/GSFC Code 661
Comment 1 David Lawrence 1999-01-20 20:11:59 EST
I have verified this on several machines in the test lab. The xset c
[on or 100] does not work on all test machines as described by the man
pages.  It did not want to work with 5.2 either.
Comment 2 Preston Brown 1999-01-26 16:39:59 EST
this is an unimplemented feature in XFree86.  However, they could
implement it at any time.  I suggest you take up a bug report with the
XFree86 team regarding their manual page, or ask them to implement the
feature.

Note You need to log in before you can comment on or make changes to this bug.